package com.yeejoin.amos.boot.biz.common.bo;

import java.util.List;

/**
 * 公司实体vo
 *
 * @author DELL
 ***/
public class CompanyBo {
    private String address;
    private String companyName;
    private Integer companyOrgCode;
    private String email;
    private String landlinePhone;
    private String latitude;
    private String level;
    private String longitude;
    private String orgCode;
    private Long parentId;
    private Long sequenceNbr;
    private String regionCode;
    private List<CompanyBo> children;

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public Integer getCompanyOrgCode() {
        return companyOrgCode;
    }

    public void setCompanyOrgCode(Integer companyOrgCode) {
        this.companyOrgCode = companyOrgCode;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getLandlinePhone() {
        return landlinePhone;
    }

    public void setLandlinePhone(String landlinePhone) {
        this.landlinePhone = landlinePhone;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Long getSequenceNbr() {
        return sequenceNbr;
    }

    public void setSequenceNbr(Long sequenceNbr) {
        this.sequenceNbr = sequenceNbr;
    }

    public List<CompanyBo> getChildren() {
        return children;
    }

    public void setChildren(List<CompanyBo> children) {
        this.children = children;
    }

	public String getRegionCode() {
		return regionCode;
	}

	public void setRegionCode(String regionCode) {
		this.regionCode = regionCode;
	}
    
}
